Subject: RE: [pim] Some doubts about draft-ietf-pim-mib-v2-09?

From: "David McWalter" <[email-masked]>
Date: Tue, 27 Feb 2007 13:10:59 -0000

Hi Su.
 
You're right, we should usually consider prefix length before precendence, so it is better to delete rule 3, not rule 5.  I'll make that change when I next update the MIB.
 
Yes, pimStaticRPOverrideDynamic does override the decision procedure described by pimGroupMappingTable.  You're right that it I should mention it there.
 
However, note that these rules are a gray area where we are providing an outline of implementation-specific algorithms so that the MIB operator can understand what is happening.  We do not want to provide a completely firm specification, because that is up to the implementation.  See rule 6 for example.
 
Finally about pimRPMappingChange, note that the origin and group prefix are present in that notification, even though they are not explicitly listed.  They are not-accessible index fields, which are present whenever objects indexed by them are present.  So all the fields from a pimGroupMappingEntry are available in a pimRPMappingChange notification.
 
Thanks for your comments,
David McW.
 
-----Original Message-----
From: Su Haiyang [mailto:[email-masked]]
Sent: 27 February 2007 12:46
To: David McWalter
Subject: RE: [pim] Some doubts about draft-ietf-pim-mib-v2-09?

Hi, DmcW,

 Thank you for your reply. There are still other doubts in my mind, please refer to the following comments with blue fonts:

  _____  

From: David McWalter [mailto:[email-masked]] 
Sent: Tuesday, February 27, 2007 6:59 PM
To: Su Haiyang
Cc: [email-masked]
Subject: RE: [pim] Some doubts about draft-ietf-pim-mib-v2-09?

Hi Su.

                1. What's the purpose of  pimGroupMappingPrecedence item? Is it only used in mapping a group prefix to a static rp?

[DMcW] If more than one RP could be used for a group, the pimGroupMappingPrecedence chooses between them.

                2. If there are static RP (embedded RP added in IPv6 multicast), BSR-RP, or some other dynamic RP mechanism like CISCO’s private AutoRP, 

willing to sever a group/prefix, How to choose the unique RP?

[DMcW] Each willing RP has a pimGroupMappingEntry row.  The one with the lowest numerical pimGroupMappingPrecedence is chosen.

[Su] Shouldn’t the pimGroupMappingEntry row with greatest value of pimGroupMappingGrpPrefixLength be chosed first，and then the row with lowest numberical pimGroupMappingPrecedence？So the following rule 4 should be considered before rule 3 if rule 5 has no effect.

Another doubt, there is a pimStaticRPOverrideDynamic item defined at PimStaticRPEntry of pimStaticRPTable, and the following is commented at pimStaticRPPrecedence’s description, 

“If pimStaticRPOverrideDynamic is set to TRUE, all dynamic RP

            configuration is overridden by this static configuration,

            whatever the value of this object.”

My doubt is, why RP mapping rules defined at pimGroupMappingEntry dosen’t consider whether static RP is preferred to dynamic RP mechanism?

Another doubt about Page 70 of draft-ietf-pim-mib-v2-09, pimRPMappingChange trap is defined as bellow

       pimRPMappingChange NOTIFICATION-TYPE

    OBJECTS { pimGroupMappingPimMode,

              pimGroupMappingPrecedence

            }

    STATUS      current

    DESCRIPTION

            "A pimRPMappingChange trap signifies a change to the active

            RP mapping on this device.

            This notification is generated whenever the counter

            pimRPMappingChangeCount is incremented, subject to the

            rate limit specified by pimRPMappingChangeTrapPeriod."

    ::= { pimTraps 4 } 

        Shouldn’t origin and group prefix be added into above trap so as to know which mapped group prefix changes?

                3. Why the pimGroupMappingPrecedence appear twice in the above words(row3 and row5)? Is there

                   any diffrence between this two rows? 

[DMcW] You're right, 3 and 5 say the same thing.  I think 5 has no effect, and should be deleted.

Hope that helps,

David McWalter.

-----Original Message-----
From: Su Haiyang [mailto:[email-masked]]
Sent: 27 February 2007 10:43
To: [email-masked]
Cc: [email-masked]
Subject: [pim] Some doubts about draft-ietf-pim-mib-v2-09?

Hi,

   I have some doubts about The PIM Group Mapping Table defined at draft draft-ietf-pim-mib-v2-09

I will appreciate your help if someone can give answer about the following doubts

   in page 66 of draft-ietf-pim-mib-v2-09, there are some words as bellow:

            Given the collection of rows in this table at any point in

            time, the PIM mode and RP address to use for a particular

            group is determined using the following algorithm.

            1. From the set of all rows, the subset whose group prefix

               contains the group in question are selected.

            2. If there are no such rows, the behavior is undefined.

            3. If there is at least one such row, from the selected

               subset of rows, the subset that have the lowest value

               of pimGroupMappingPrecedence are selected.

            4. From the selected subset of rows, the subset that have

               the greatest value of pimGroupMappingGrpPrefixLength are

               selected.

            5. If there are multiple selected rows, the subset that have

               the highest precedence (the lowest numerical value for

               pimGroupMappingPrecedence) are selected.

            6. If there are multiple selected rows, the row selected is

               implementation dependent; the implementation might or

               might not apply the PIM hash function to select the row.

            7. The group mode to use is given by the value of

               pimGroupMappingPimMode from the single selected row; the

               RP to use is given by the value of

               pimGroupMappingRPAddress, unless pimGroupMappingOrigin is

               'embedded', in which case the RP is extracted from the

               group address in question."

 I don’t understand these words totally:

                1. What's the purpose of  pimGroupMappingPrecedence item? Is it only used in mapping a group prefix to a static rp?

                2. If there are static RP (embedded RP added in IPv6 multicast), BSR-RP, or some other dynamic RP mechanism like CISCO’s private AutoRP, 

willing to sever a group/prefix, How to choose the unique RP?

                3. Why the pimGroupMappingPrecedence appear twice in the above words(row3 and row5)? Is there

                   any diffrence between this two rows? 

Best Regards

Steven Su

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim